<?php 



//===============================================================

//===================   classe MySQL ============================

//===============================================================

class MySQL

{

	//les propriétés(en accès privé depréférence)

	private $connexion, $nomBase;



	// Constructeur de la classe

	//public function __construct ($login='masercam_ad' , $motDePasse='XBD!@0pwd' , $base='masercam_db' , $serveur='localhost' )

	public function __construct ($login=LOGIN_DB , $motDePasse=MDP_DB , $base=BASE_DB , $serveur=SERVER_DB )

	{

		// On conserve le nom de la base

		$this->nomBase= $base;

		// Connexion au serveur MySQL

		//

		if (! $this -> connexion =new mysqli($serveur, $login, $motDePasse, $base))

			throw new Exception (" Erreur de connexion au serveur . " ) ;
		mysqli_set_charset($this -> connexion, "utf8");

		// Connexion à la base

		//if (!mysqli_select_db ($base  , $this->connexion) )

		//	throw new Exception ( " Erreur de connexion à la base . " ) ;

	}

	// Fin du constructeur

	// −−−− Partie publique −−−−−−−−−−−−−−−−−−−−−−−−−

	// Méthode d ’ exécution d ’une requête

	public function execRequete($requete)

	{

		$resultat = mysqli_query($this -> connexion,$requete) ;

		if (!$resultat )

			throw new Exception	("Problème dans l ’ exécution de la requête : $requete . ". mysqli_error ($this -> connexion));

			return $resultat ;

	}

	// requete sans resultat

	public function complete($requete)

	{

		mysqli_query( $this -> connexion,$requete) ;

	}

	// Accès à la l igne suivante , sous forme d ’ objet

	public function objetSuivant ( $resultat )

	{ 

		return mysqli_fetch_object ( $resultat ) ;

	}

	 // Accès à la l igne suivante , sous forme d ’ objet

	public function assocSuivant ( $resultat )

	{ 

		return mysqli_fetch_assoc ( $resultat ) ;

	}

	// Accès à la l igne suivante , sous forme de tableau associatif

	public function ligneSuivante ( $resultat )

	{

		return mysqli_fetch_array ($resultat ); 

	}

	// Accès à la l igne suivante , sous forme de tableau indicé

	public function nbreLigne ( $resultat )

	{

		return mysqli_num_rows ($resultat ); 

	}

	// Échappement des apostr ophes et autres préparations à l ’ insertion

	public function prepareChaine ($chaine)

	{

	 return mysqli_real_escape_string($this -> connexion,$chaine) ;

	}

	// Erreur

	function error() 

	{

		$ERROR=mysqli_error($this -> connexion);

		return $ERROR;

	}

	// Destructeur de la classe : on se déconnecte

	function __destruct ()

	{

	 	mysqli_close ($this -> connexion) ; 

	}



}

 