<?php 
//=====================================================
// fonctions pour coder les caracteres
//=====================================================
function code ($str)
{
	$str_code=htmlentities($str, ENT_QUOTES  , 'UTF-8');
	return $str_code;
}
function mysqlcode ($str) 
{
	$str_code=htmlspecialchars($str, ENT_QUOTES  , 'UTF-8');
	return $str_code;
}

function convert_url($str) { 
      
    // Convert string to lowercase 
    $str = strtolower($str); 
      
    // Replace the spaces with hyphens 
    $str = str_replace(' ', '-', $str); 
	$str = str_replace('&#039;', '-', $str); 
	$str = str_replace('&amp;', '-', $str); 
	$str = str_replace('é', 'e', $str);   
	$str = str_replace('è', 'e', $str);  
	$str = str_replace('î', 'i', $str);   
	$str = str_replace('â', 'a', $str);  
	$str = str_replace('û', 'u', $str); 
	$str = str_replace('ô', 'o', $str); 
    // Remove the special characters 
    $str = preg_replace('/[^a-z0-9\-]/', '', $str); 
    // Remove the consecutive hyphens 
    $str = preg_replace('/-+/', '-', $str); 
	
      
    // Trim hyphens from the beginning 
    // and ending of String 
    $str = trim($str, '-'); 
      
    return $str; 
} 
  
function tronqueDesc($message, $nb) {
	if (strlen($message) > $nb) {
		$message = substr($message, 0, $nb);
		$position_espace = strrpos($message, ' '); 
		$texte = substr($message, 0, $position_espace);  
		$message = $texte.' [...]'; 
	}
	return $message; 
} 

  
//======================================================
// fonctions pour decoder les caracteres
//======================================================
function decode ($str)
{
	$str_decode=html_entity_decode($str, ENT_QUOTES  , 'UTF-8');
	return $str_decode;
}


function mysqldecode ($str)
{
	$str_code=htmlspecialchars_decode($str);
	return $str_code;
}
function removebrk ($str)
{
	$str=str_replace('<p>','',$str);
	$str=str_replace('</p>','',$str);
	$str=str_replace('<br />','',$str);
	$str=str_replace('<br>','',$str);
	$str=str_replace('<br/>','',$str);
	$str=str_replace('<em>','',$str);
	$str=str_replace('</em>','',$str);
	$str=str_replace('<strong>','',$str);
	$str=str_replace('</strong>','',$str);
	return $str;
}

function kdo_b64encode($string) {
    $data = base64_encode($string);
    $data = str_replace(array('+','/','='),array('-','_',''),$data);
    return $data;
}
function kdo_b64decode($string) {
    $data = str_replace(array('-','_'),array('+','/'),$string);
    $mod4 = strlen($data) % 4;
	if ($mod4) 
	{
	$data .= substr('====', $mod4);
	}
	return base64_decode($data);
}
/*
function safeKDO_encode($value,$skey){ 
   if(!$value){return false;}
   $text = $value;
   $iv_size = mcrypt_get_iv_size(MCRYPT_RIJNDAEL_256, MCRYPT_MODE_ECB);
   $iv = mcrypt_create_iv($iv_size, MCRYPT_RAND);
   $crypttext = mcrypt_encrypt(MCRYPT_RIJNDAEL_256, $skey, $text, MCRYPT_MODE_ECB, $iv);
   return trim(kdo_b64encode($crypttext)); 
}

function safeKDO_decode($value,$skey){
   if(!$value){return false;}
   $crypttext = kdo_b64decode($value); 
   $iv_size = mcrypt_get_iv_size(MCRYPT_RIJNDAEL_256, MCRYPT_MODE_ECB);
   $iv = mcrypt_create_iv($iv_size, MCRYPT_RAND);
   $decrypttext = mcrypt_decrypt(MCRYPT_RIJNDAEL_256, $skey, $crypttext, MCRYPT_MODE_ECB, $iv);
   return trim($decrypttext);
}
*/
function returnMdpHash($h1,$h2,$e)
{
	if($h2==md5($h1))
	{
		$bre=strlen(md5($e));
		$mdp=substr($h1,$bre);
	}
	else $mdp="";
	return $mdp;
}
//======================================================
// fonction pour trouver l'idcopy'
//======================================================
if ( ! function_exists('get_idcopy'))
  {
  	function get_idcopy($table,$id) 
	{
		$current_table=new entity($table);
		$current=$current_table->getRecord($id);
		if($current==null)
			$id_copy=null;
		else
			$id_copy=$current->id_copy;	
		return $id_copy;
	}
}

//======================================================
// fonction pour trouver l'id defaut
//======================================================
if ( ! function_exists('id_defaut'))
{
  	function id_defaut($table) 
	{
		$table_defaut=new entity($table);
		$current=$table_defaut->getAllRecords(null,"WHERE defaut='1'");
		if($current==null)
			$id=null;
		else
		{
			$champsval=$table_defaut->getPrimaryKey($table);
			$id=$current->$champsval;	
		}
		return $id;
	}
}

if ( ! function_exists('DefautLangue'))
{
  	function DefautLangue() 
	{
		$langue=new entity("langue");
		$current=$langue->getAllRecords(null,"WHERE defautLangue='1'");
		if($current==null)
			$id=null;
		else
		{
			$champsval=$langue->getPrimaryKey();
			//echo $langue->getPrimaryKey();
			$id=$current->$champsval;	
		}
		return $id;
	}
}
if ( ! function_exists('getLinkUrl2'))
{
  	function getLinkUrl2($copyLienMenu,$langueMenu)
	{
		global $config;
		$lienmenu=new entity("lienmenu");
		$langue=new entity("langue");
		if($copyLienMenu!=0)
		{
			
			$thislien0=$lienmenu->getAllRecords(null,"WHERE copyLienMenu='".$copyLienMenu."' AND Langue_idLangue='".$langueMenu."'");
			$lalangueMenu=$langue->getRecord($langueMenu);
			$moduleLien0=$thislien0->moduleLienMenu;
			$ext1=$thislien0->copyLienMenu.'/';
			//echo $thislien->parentLienMenu;
			
			if($thislien0->parentLienMenu!=0)
			{
				$thislien1=$lienmenu->getAllRecords(null,"WHERE copyLienMenu='".$thislien0->parentLienMenu."' ");
				$moduleLien1=$thislien1->moduleLienMenu;
				$ext2=$thislien1->copyLienMenu.'/';
				if($thislien1->parentLienMenu!=0)
				{
					$thislien2=$lienmenu->getAllRecords(null,"WHERE copyLienMenu='".$thislien1->parentLienMenu."' ");
					$moduleLien2=$thislien2->moduleLienMenu;
					$ext3=$thislien2->copyLienMenu.'/';
					if($thislien2->parentLienMenu!=0)
					{
						$thislien3=$lienmenu->getAllRecords(null,"WHERE copyLienMenu='".$thislien2->parentLienMenu."' ");
						$moduleLien3=$thislien3->moduleLienMenu;
						$ext4=$thislien3->copyLienMenu.'/';
						if($thislien3->parentLienMenu!=0)
						{
							$thislien4=$lienmenu->getAllRecords(null,"WHERE copyLienMenu='".$thislien3->parentLienMenu."' ");
							$moduleLien4=$thislien4->moduleLienMenu;
							$ext5=$thislien4->copyLienMenu.'/';
							if($thislien4->parentLienMenu!=0)
							{
								$thislien5=$lienmenu->getAllRecords(null,"WHERE copyLienMenu='".$thislien4->parentLienMenu."' ");
								$moduleLien5=$thislien5->moduleLienMenu;
								$ext6=$thislien5->copyLienMenu.'/';
							}
							else
							$ext6='';
						}
						else
						$ext5=$ext6='';
					}
					else $ext4=$ext5=$ext6='';
				}
				else
				$ext3=$ext4=$ext5=$ext6='';
			}
			else
				$ext2=$ext3=$ext4=$ext5=$ext6='';
			$url=$config['base_url'].$lalangueMenu->sigleLangue.'/'.$ext6.$ext5.$ext4.$ext3.$ext2.$ext1.$thislien0->permalienLienMenu.'/index.html';
		}
		return $url;
	}
}

if ( ! function_exists('getLinkUrl'))
{
  	function getLinkUrl($copyLienMenu,$langueMenu)
	{
		global $config;
		$lienmenu=new entity("lienmenu");
		$langue=new entity("langue");
		if($copyLienMenu!=0)
		{
			
			$thislien0=$lienmenu->getAllRecords(null,"WHERE copyLienMenu='".$copyLienMenu."' AND Langue_idLangue='".$langueMenu."'");
			$lalangueMenu=$langue->getRecord($langueMenu);
			if($thislien0->permalienLienMenu!='')
			{
				$url=$config['base_url'].$thislien0->permalienLienMenu.'.html';
			}
			else
			{
				$url=$config['base_url'];
				if($thislien0->parentLienMenu!=0)
				{
					
					$thislien1=$lienmenu->getAllRecords(null,"WHERE copyLienMenu='".$thislien0->parentLienMenu."' AND Langue_idLangue='".$langueMenu."' ");
					if($thislien1->permalienLienMenu!='')
					{
						$url.=$thislien1->permalienLienMenu.'-'.convert_url($thislien0->titreLienMenu).'.html';
					}
					else
					$url.=convert_url($thislien1->titreLienMenu).'-'.convert_url($thislien0->titreLienMenu).'.html';
				}
				else
					$url.=convert_url($thislien0->titreLienMenu).'.html';
				

			}
			//echo $thislien->parentLienMenu;
			
		}
		return $url;
	}
}

if ( ! function_exists('getLinkUrl3'))
{
  	function getLinkUrl3($copyLienMenu,$langueMenu)
	{
		global $config;
		$lienmenu=new entity("lienmenu");
		$langue=new entity("langue");
		if($copyLienMenu!=0)
		{
			
			$thislien0=$lienmenu->getAllRecords(null,"WHERE copyLienMenu='".$copyLienMenu."' AND Langue_idLangue='".$langueMenu."'");
			$lalangueMenu=$langue->getRecord($langueMenu);
			if($thislien0->permalienLienMenu!='')
			{
				$url=$config['base_url'].$lalangueMenu->sigleLangue.'/'.$thislien0->permalienLienMenu.'.html';
			}
			else
			{
				$url=$config['base_url'].$lalangueMenu->sigleLangue.'/';
				if($thislien0->parentLienMenu!=0)
				{
					
					$thislien1=$lienmenu->getAllRecords(null,"WHERE copyLienMenu='".$thislien0->parentLienMenu."' AND Langue_idLangue='".$langueMenu."' ");
					if($thislien1->permalienLienMenu!='')
					{
						$url.=$thislien1->permalienLienMenu.'-'.convert_url($thislien0->titreLienMenu).'.html';
					}
					else
					$url.=convert_url($thislien1->titreLienMenu).'-'.convert_url($thislien0->titreLienMenu).'.html';
				}
				else
					$url.=convert_url($thislien0->titreLienMenu).'.html';
				

			}
			//echo $thislien->parentLienMenu;
			
		}
		return $url;
	}
}



if ( ! function_exists('moduleLinkName'))
{
  	function moduleLinkName($m)
	{
		/*if($m=='page') $module="page";
		if($m=='servicebienimmobilier') $module="service";
		if($m=='page') $module="page";
		*/
		
	}
}


function Long2DotIP ($IPNum) 
{
    if ($IPNum == "") 
	{
        return "0.0.0.0";
    }
    else 
	{
        return (($IPNum / 16777216) % 256) . "." . (($IPNum / 65536) % 256) . "." . (($IPNum / 256) % 256) . "." . ($IPNum % 256);
    }
}	
function Dot2LongIP ($IPaddr) {
    if ($IPaddr == "") {
        return 0;
    }
    else {
        $ips = explode(".", "$IPaddr");
        return ($ips[3] + $ips[2] * 256 + $ips[1] * 256 * 256 + $ips[0] * 256 * 256 * 256);
    }
}

	
if ( ! function_exists('HomeLienMenu'))
{
  	function HomeLienMenu($idLien,$moduleLien) 
	{
		if($moduleLien=='page')
		{
			$page=new entity("page");
			$current=$page->getAllRecords(null,"WHERE gabaritPage='homepage'");
			if($current==null)
			{
				$id=null;
				$res=0;
			}
			else
			{
				$id=$current->copyPage;
				if($idLien==$id)	
					$res=1;
				else
					$res=0;
			}
		}
		else
			$res=0;
		//echo $id.'  '.$idLien;
		return $res;
	}
}
if ( ! function_exists('DefautDevise'))
{
  	function DefautDevise() 
	{
		$devise=new entity("devise");
		$current=$devise->getAllRecords(null,"WHERE defautDevise='1'");
		if($current==null)
			$id=null;
		else
		{
			$champsval=$devise->getPrimaryKey();
			//echo $langue->getPrimaryKey();
			$id=$current->$champsval;	
		}
		return $id;
	}
}
//======================================================
// fonction pour trouver si les conditions d'un enregistrement existe dans une table
//======================================================
function is_exist($req,$table)
{
	$table_req=new entity($table);
	$current=$table_req->getAllRecords(null,$req);
	 if($current==null)
		$result='0';
	else
		$result='1';

	return $result;
}
function is_exist_count($req,$table)
{
	$table_req=new entity($table);
	$current=$table_req->getCountRecords($req);
	return $current;
}
//======================================================
// fonction pour trouver la valeur d'un champs
//======================================================
function Valeur_champs($id,$champs,$table) 
{
	$table_rq=new entity($table);
	$current=$table_rq->getRecord($id);
	if($current==null)
		$return=null;
	else
		$return=$current->$champs;	
		return $return;

}
function Valeur_champs_langue($copy,$id,$lg,$champs,$table) 
{
	$table_rq=new entity($table);
	$current1=$table_rq->getAllRecords(null,"WHERE ".$copy."='".$id."' AND Langue_idLangue='".$lg."'");
	if($current1==null)
	{
		$current2=$table_rq->getAllRecords(null,"WHERE ".$copy."='".$id."' AND Langue_idLangue='".DefautLangue()."'");
		if($current2==null)
			$return="";
		else
			$current=$current2;
	}
	else
		$current=$current1;
	$return=$current->$champs;	
	return $return;

}
//======================================================
// afficher une liste avec jointure
//======================================================
function afficher_liste_joint($p,$n,$champs,$table,$req,$idreq)
{
$p=($p-1)*$n;
	$sqlr=("SELECT DISTINCT  ".$champs." FROM ".$table." ".$req." ORDER BY ".$idreq." DESC LIMIT ".$p.",".$n);
	echo $sqlr;
	try 
	{  
		$bd_liste = new MySQL (LOGIN_DB, MDP_DB , BASE_DB , SERVER_DB) ;
		$resultat_liste = $bd_liste -> execRequete ( $sqlr ) ;	
	}	
	catch (Exception $exc) 
	{
		echo "<b>Erreur rencontr&eacute;e :</b> " . $exc->getMessage () . "\n" ;
	} 	
   	$nbre2=0;
 	$i=1;
	$liste=array();
	while ($laliste= $bd_liste -> objetSuivant ( $resultat_liste))
  	{
		$liste[]=$laliste;
	}
	return $liste;
}
//======================================================
// afficher une liste
//======================================================
function afficher_liste($p,$n,$table,$req,$idreq,$order)
{
	$p=($p-1)*$n;
	$class_table=new entity($table);
	$current_req=$class_table->getListRecords($req." ORDER BY ".$idreq." ".$order." LIMIT ".$p.",".$n);
	if($current_req!=null)
	{
		$liste=array();
		while( $laliste=$class_table->objetSuivant($current_req) )
		{
			$liste[]=$laliste;	

		}
	}
	else
		$liste=null;
	return $liste;
} 

function afficher_liste_distinct($p,$n,$table,$req,$idreq,$order,$filter)
{
	$p=($p-1)*$n;
	$class_table=new entity($table);
//	echo $table;
	$current_req=$class_table->getListDistinct($req." ORDER BY ".$idreq." ".$order." LIMIT ".$p.",".$n, $filter);
	if($current_req!=null)
	{
		$liste=array();
		while( $laliste=$class_table->objetSuivant($current_req) )
		{
			$liste[]=$laliste;	

		}
	}
	else
		$liste=null;
	return $liste;
} 
//======================================================
// afficher toute une liste
//======================================================
function afficher_liste_all($table,$req,$idreq,$order)
{
	$class_table=new entity($table);
	$current_req=$class_table->getListRecords($req." ORDER BY ".$idreq." ".$order." ");
	if($current_req!=null)
	{
		$liste=array();
		while( $laliste=$class_table->objetSuivant($current_req) )
		{
			$liste[]=$laliste;	
		}
	}
	else
		$liste=null;
	return $liste;
}
//======================================================
// fonctions pour trouver les initiales de mois et jous
//======================================================

function gabaritPage($m)
{
	if($m=="homepage") $mois='Modèle : Page Accueil';
	else if($m=="news") $mois='Modèle : Page Actualités';
	else if($m=="default-full") $mois='Modèle : Page texte sans side';
	else if($m=="default-side") $mois='Modèle : Page texte avec side';
	else if($m=="contact") $mois='Modèle : Page Contact';
	else if($m=="sitemap") $mois='Modèle : Plan du site';
	else if($m=="documentation") $mois='Modèle : Page Documentation';
	else if($m=="gallerypage") $mois='Modèle : Page Galerie';
	else $m="404";
	return $m;
}
function getMonth($m)
{
	if($m=="1") $mois='JAN';
	if($m=="2") $mois='FEV';
	if($m=="3") $mois='MAR';
	if($m=="4") $mois='AVR';
	if($m=="5") $mois='MAI';
	if($m=="6") $mois='JUN';
	if($m=="7") $mois='JUL';
	if($m=="8") $mois='AOU';
	if($m=="9") $mois='SEP';
	if($m=="10") $mois='OCT';
	if($m=="11") $mois='NOV';
	if($m=="12") $mois='DEC';
	return $mois;
}
function getStrMonth($m)
{
	if($m=='January') $mois="01";
	if($m=='February') $mois="02";
	if($m=='March') $mois="03";
	if($m=='April') $mois="04";
	if($m=='May') $mois="05";
	if($m=='June') $mois="06";
	if($m=='July') $mois="07";
	if($m=='August') $mois="08";
	if($m=='September') $mois="09";
	if($m=='October') $mois="10";
	if($m=='November') $mois="11";
	if($m=='December') $mois="12";
	return $mois;
}
function getDay($j)
{
	if($j=="1") $jour='Lun';
	if($j=="2") $jour='Mar';
	if($j=="3") $jour='Mer';
	if($j=="4") $jour='Jeu';
	if($j=="5") $jour='Ven';
	if($j=="6") $jour='Sam';
	if($j=="7") $jour='Dim';
	return $jour;
}
//=================================================================
//            fonctions pour supprimer un dossier
//=================================================================
function supprimer_dossier($directory, $empty = false) {
    if(substr($directory,-1) == "/") {
        $directory = substr($directory,0,-1);
    }
 
    if(!file_exists($directory) || !is_dir($directory)) {
        return false;
    } elseif(!is_readable($directory)) {
        return false;
    } else {
        $directoryHandle = opendir($directory);
 
        while ($contents = readdir($directoryHandle)) {
            if($contents != '.' && $contents != '..') {
                $path = $directory . "/" . $contents;
 
                if(is_dir($path)) {
                    supprimer_dossier($path);
                } else {
                    unlink($path);
                }
            }
        }
 
        closedir($directoryHandle);
 
        if($empty == false) {
            if(!rmdir($directory)) {
                return false;
            }
        }
 
        return true;
    }
} 
function copy_dir($dir2copy,$dir_paste) {
  // On vérifie si $dir2copy est un dossier
  echo 'ouvert 1';
  if (is_dir($dir2copy)) {
	echo 'ouvert';
    // Si oui, on l'ouvre
    if ($dh = opendir($dir2copy)) {     
      // On liste les dossiers et fichiers de $dir2copy
      while (($file = readdir($dh)) !== false) {
        // Si le dossier dans lequel on veut coller n'existe pas, on le créé
        if (!is_dir($dir_paste)) mkdir ($dir_paste, 0777);
 
          // S'il s'agit d'un dossier, on relance la fonction rÃ©cursive
          if(is_dir($dir2copy.$file) && $file != '..'  && $file != '.') copy_dir ( $dir2copy.$file.'/' , $dir_paste.$file.'/' );     
            // S'il sagit d'un fichier, on le copue simplement
            elseif($file != '..'  && $file != '.') copy ( $dir2copy.$file , $dir_paste.$file );  
echo 'ouvert 2';			
         }
 
      // On ferme $dir2copy
      closedir($dh);
 
    }
 
  }
}
function rrmdir($dir) {
  if (is_dir($dir)) {
    $files = scandir($dir);
    foreach ($files as $file)
    if ($file != "." && $file != "..") rrmdir("$dir.$file");
    rmdir($dir);
  }
  else if (file_exists($dir)) unlink($dir);
} 
function rcopy($src, $dst) {
  if (file_exists($dst)) rrmdir($dst);
  if (is_dir($src)) {
    mkdir($dst);
    $files = scandir($src);
    foreach ($files as $file)
    if ($file != "." && $file != "..") rcopy("$src.$file", "$dst.$file"); 
  }
  else if (file_exists($src)) copy($src, $dst);
}
function copyDir($src_dir, $dest_dir, array $excludes=[]){

    if(!is_dir($dest_dir)) mkdir($dest_dir);

    if(is_dir($src_dir)){
	
        if($dh = opendir($src_dir)){
            $excludes += ['.','..'];
            while (($file = readdir($dh)) !== false) {
                if(in_array($file, $excludes)) continue;
                if (is_dir($src_dir . "/" . $file)){
                    call_user_func_array(
                        __FUNCTION__,
                        [$src_dir . "/" . $file, $dest_dir . "/" . $file]);
                } else {
                    copy($src_dir . "/" . $file, $dest_dir . "/" . $file);
                }
            }
            closedir($dh);
        }
    }
    return true;
}
//=================================================================
// fonctions pour creer la pagination
//=================================================================
function creer_navbar( $page,$nbre_par_page,$table,$req,$lien,$nom) { 
  // total
 

	$class_table=new entity($table);
	$totalpage=$class_table->getCountRecords($req);
	
	$nbre_pages  = ceil($totalpage / $nbre_par_page);
	// si suivant
	if(isset($_GET['suiv']))
	{ 
		$page_active=($_GET['suiv']);
		if(($page_active + 2)<$nbre_pages)
		$page_fin=$page_active +2; else $page_fin=$nbre_pages;
		
		if((($page_active-1)%3)==0) $paged=$page_active;
		if(((($page_active-1)%3)==1)||((($page_active-1)%3)==-1))$paged=$page_active-1;
		if(((($page_active-1)%3)==2)||((($page_active-1)%3)==-2))$paged=$page_active-2;
		$precz=$page_active-1; 
		$aff='<div class="pagination no-margin pull-left"><ul>';
		
		if ($page>=4)
		{
			$aff.= '<li><a href="'.$lien.'?num_page=1">debut</a> </li><li><a href="'.$lien.'?num_page='.$precz.'&amp;prec=' .$precz.'">prec</a></li>';
		}
		for ($j =$page_active ; $j <= $page_fin; $j++)
		{
			$aff.='<li><a href="'.$lien.'?num_page=' . $j . '">' .$j. '</a></li>';
		}
		if ($page_fin<$nbre_pages)
		{
			$aff.='<li><a href="'.$lien.'?num_page='.$j.'&amp;suiv='.$j.'">suiv</a></li><li><a href="'.$lien.'?num_page='.$nbre_pages.'">fin</a></li> ';
		}
	}
	// si precedent
	elseif(isset($_GET['prec']))
	{ 
		$pre=($_GET['prec']);
		$pare=$pre-3;
		if(($pre-2)>1) $pagedec=$pre-2; else $pagedec=1;
	
		$aff='<div class="pagination pull-left"><ul>';
		if ($pagedec>1)
		{
		$aff.='<li><a href="'.$lien.'?num_page=1">debut</a></li><li><a href="'.$lien.'?num_page=' . $pare .  '&amp;prec='.$pare.'">prec</a></li> ';}
		for ($j =$pagedec ; $j <= $pre; $j++)
		{
			$aff.='<li><a href="'.$lien.'?num_page='.$j.'">'.$j.'</a></li>';
		}
		if ($pagedec<$nbre_pages)
		{
			$aff.='<li><a href="'.$lien.'?num_page='.$j.'&amp;suiv='.$j.'">suiv</a></li><li><a href="'.$lien.'?num_page='.$nbre_pages.'">fin</a></li>  ';
		}
	}
	else 
	{
		if((($page-1)%3)==0)$pagei=$page;
		if(((($page-1)%3)==1)||((($page-1)%3)==-1))$pagei=$page-1;
		if(((($page-1)%3)==2)||((($page-1)%3)==-2))$pagei=$page-2;$page_fin=3;

		if(($pagei + 2)<$nbre_pages)
			$page_fin=$pagei +2; else $page_fin=$nbre_pages;
		$precde=$pagei-1;
		
		$aff='<div class="pagination no-margin pull-left"><ul>';
		if ($page>=4)
		{
			$aff.='<li><a data-original-title="" href="'.$lien.'?num_page=1">debut</a></li><li><a data-original-title="" href="'.$lien.'?num_page='.$precde .'&amp;prec='.$precde.'">prec</a></li>';
		}
		for ($i=$pagei ; $i <= $page_fin; $i++)
		{
			if($page==$i) $classe='class="active"'; else $classe='';
    		$aff.='<li '.$classe.'><a data-original-title="" href="'.$lien.'?num_page='.$i.'">'.$i.'</a></li>';
		}
		if ($page_fin<$nbre_pages)
		{
			if($page==$i) $classe='class="active"'; else $classe='';
			$aff.='<li'.$classe.'><a data-original-title="" href="'.$lien.'?num_page='.$i.'&amp;suiv='.$i.'">suiv</a></li> <li><a data-original-title="" href="'.$lien.'?num_page='.$nbre_pages.'">fin</a></li> ';
		} 
	}
	$aff.='</ul> </div><div class="pagination no-margin pull-left" style="padding-top:5px;">&nbsp;&nbsp;&nbsp;'.$totalpage.'  '.$nom.'(s)</div> <div class="clearfix"></div>'; 
	return $aff;
}

function creer_navbar_joint( $page,$nbre_par_page,$joint_table,$table,$req,$param,$nom) { 
  // total
 

	$class_table=new entity($joint_table);
	$totalpage=$class_table->getCountRecords($req);
	
	$nbre_pages  = ceil($totalpage / $nbre_par_page);
	// si suivant
	if(isset($_GET['suiv']))
	{ 
		$page_active=($_GET['suiv']);
		if(($page_active + 2)<$nbre_pages)
		$page_fin=$page_active +2; else $page_fin=$nbre_pages;
		
		if((($page_active-1)%3)==0) $paged=$page_active;
		if(((($page_active-1)%3)==1)||((($page_active-1)%3)==-1))$paged=$page_active-1;
		if(((($page_active-1)%3)==2)||((($page_active-1)%3)==-2))$paged=$page_active-2;
		$precz=$page_active-1; 
		$aff='<div class="pagination no-margin pull-left"><ul>';
		
		if ($page>=4)
		{
			$aff.= '<li><a href="?page='.$table.'&'.$param.'&num_page=1">debut</a> </li><li><a href="?page='.$table.'&'.$param.'&num_page='.$precz.'&amp;prec=' .$precz.'">prec</a></li>';
		}
		for ($j =$page_active ; $j <= $page_fin; $j++)
		{
			$aff.='<li><a href="?page='.$table.'&'.$param.'&num_page=' . $j . '">' .$j. '</a></li>';
		}
		if ($page_fin<$nbre_pages)
		{
			$aff.='<li><a href="?page='.$table.'&'.$param.'&num_page='.$j.'&amp;suiv='.$j.'">suiv</a></li><li><a href="?page='.$table.'&'.$param.'&num_page='.$nbre_pages.'">fin</a></li> ';
		}
	}
	// si precedent
	elseif(isset($_GET['prec']))
	{ 
		$pre=($_GET['prec']);
		$pare=$pre-3;
		if(($pre-2)>1) $pagedec=$pre-2; else $pagedec=1;
	
		$aff='<div class="pagination pull-left"><ul>';
		if ($pagedec>1)
		{
		$aff.='<li><a href="?page='.$table.'&'.$param.'&num_page=1">debut</a></li><li><a href="?page='.$table.'&'.$param.'&num_page=' . $pare .  '&amp;prec='.$pare.'">prec</a></li> ';}
		for ($j =$pagedec ; $j <= $pre; $j++)
		{
			$aff.='<li><a href="?page='.$table.'&'.$param.'&num_page='.$j.'">'.$j.'</a></li>';
		}
		if ($pagedec<$nbre_pages)
		{
			$aff.='<li><a href="?page='.$table.'&'.$param.'&num_page='.$j.'&amp;suiv='.$j.'">suiv</a></li><li><a href="?page='.$table.'&'.$param.'&num_page='.$nbre_pages.'">fin</a></li>  ';
		}
	}
	else 
	{
		if((($page-1)%3)==0)$pagei=$page;
		if(((($page-1)%3)==1)||((($page-1)%3)==-1))$pagei=$page-1;
		if(((($page-1)%3)==2)||((($page-1)%3)==-2))$pagei=$page-2;$page_fin=3;

		if(($pagei + 2)<$nbre_pages)
			$page_fin=$pagei +2; else $page_fin=$nbre_pages;
		$precde=$pagei-1;
		$aff='<div class="pagination no-margin pull-left"><ul>';
		if ($page>=4)
		{
			$aff.='<li><a data-original-title="" href="?page='.$table.'&'.$param.'&num_page=1">debut</a></li><li><a data-original-title="" href="?page='.$table.'&'.$param.'&num_page='.$precde .'&amp;prec='.$precde.'">prec</a></li>';
		}
		for ($i=$pagei ; $i <= $page_fin; $i++)
		{
    		$aff.='<li><a data-original-title="" href="?page='.$table.'&'.$param.'&num_page='.$i.'">'.$i.'</a></li>';
		}
		if ($page_fin<$nbre_pages)
		{
			$aff.='<li><a data-original-title="" href="?page='.$table.'&'.$param.'&num_page='.$i.'&amp;suiv='.$i.'">suiv</a></li><li><a data-original-title="" href="?page='.$table.'&'.$param.'&num_page='.$nbre_pages.'">fin</a></li> ';
		} 
	}
	$aff.='</ul> </div><div class="pagination no-margin pull-left" style="padding-top:5px;">&nbsp;&nbsp;&nbsp;'.$totalpage.'  '.$nom.'(s)</div> <div class="clearfix"></div>'; 
	return $aff;
}

//
//=================================================================
// fonctions pour creer la pagination
//=================================================================


                                       
                                      
		
function creer_navbar_front( $page,$nbre_par_page,$table,$req,$lien,$nom) { 
  // total
  

	$class_table=new entity($table);
	$totalpage=$class_table->getCountRecords($req);
	
	$nbre_pages  = ceil($totalpage / $nbre_par_page);
	// si suivant
	if(isset($_GET['suiv']))
	{ 
		$page_active=($_GET['suiv']);
		if(($page_active + 2)<$nbre_pages)
		$page_fin=$page_active +2; else $page_fin=$nbre_pages;
		
		if((($page_active-1)%3)==0) $paged=$page_active;
		if(((($page_active-1)%3)==1)||((($page_active-1)%3)==-1))$paged=$page_active-1;
		if(((($page_active-1)%3)==2)||((($page_active-1)%3)==-2))$paged=$page_active-2;
		$precz=$page_active-1; 
		$aff='<ul class="styled-pagination clearfix">';
		
		if ($page>=4)
		{
			$aff.= '<li class="arrow prev"><a href="'.$lien.'?num_page=1"><span class="icon-right-arrow-1 left"></span><span class="icon-right-arrow-1 left"></span></a> </li>
			<li class="arrow prev"><a href="'.$lien.'?num_page='.$precz.'&amp;prec=' .$precz.'"><span class="icon-right-arrow-1 left"></span></a></li>';
		}
		for ($j =$page_active ; $j <= $page_fin; $j++)
		{
			if($page==$j) $classe='class="current-page active"'; else $classe='';
			$aff.='<li class="'.$classe.'"><a href="'.$lien.'?num_page=' . $j . '">' .$j. '</a></li>';
		}
		if ($page_fin<$nbre_pages)
		{
			$aff.='<li><a href="'.$lien.'?num_page='.$j.'&amp;suiv='.$j.'"> <span class="icon-right-arrow-1 right"></span> </a></li>
			<li class="arrow next"><a href="'.$lien.'?num_page='.$nbre_pages.'"><span class="icon-right-arrow-1 right"></span><span class="icon-right-arrow-1 right"></span> </a></li> ';
		}
	}
	// si precedent
	elseif(isset($_GET['prec']))
	{ 
		$pre=($_GET['prec']);
		$pare=$pre-3;
		if(($pre-2)>1) $pagedec=$pre-2; else $pagedec=1;
	
		$aff='<ul class="pagination">';
		if ($pagedec>1)
		{
		$aff.='<li class="arrow prev"><a class="prevposts-link" href="'.$lien.'?num_page=1"><span class="icon-right-arrow-1 left"></span>
		<li class="arrow prev"><span class="icon-right-arrow-1 left"></span></a><a href="'.$lien.'?num_page=' . $pare .  '&amp;prec='.$pare.'"> < </a> </li>';}
		for ($j =$pagedec ; $j <= $pre; $j++)
		{
			if($page==$j) $classe='class="current-page active"'; else $classe='';
			$aff.='<li><a '.$classe.' href="'.$lien.'?num_page='.$j.'">'.$j.'</a></li>';
		}
		if ($pagedec<$nbre_pages)
		{
			$aff.='<li><a href="'.$lien.'?num_page='.$j.'&amp;suiv='.$j.'"> > </a></li>
			<li><a class="nextposts-link"href="'.$lien.'?num_page='.$nbre_pages.'"> >> </a></li>  ';
		}
	}
	else 
	{
		if((($page-1)%3)==0)$pagei=$page;
		if(((($page-1)%3)==1)||((($page-1)%3)==-1))$pagei=$page-1;
		if(((($page-1)%3)==2)||((($page-1)%3)==-2))$pagei=$page-2;$page_fin=3;

		if(($pagei + 2)<$nbre_pages)
			$page_fin=$pagei +2; else $page_fin=$nbre_pages;
		$precde=$pagei-1;
		
		$aff='<ul class="styled-pagination clearfix">';
		if ($page>=4)
		{
			$aff.='<li class="arrow prev"><a data-original-title="" href="'.$lien.'?num_page=1"> <span class="icon-right-arrow-1 left"></span><span class="icon-right-arrow-1 left"></span></a></li>
			<li class="arrow prev"><a href="'.$lien.'?num_page='.$precde .'&amp;prec='.$precde.'"> <span class="icon-right-arrow-1 left"></span> </a></li>';
		}
		for ($i=$pagei ; $i <= $page_fin; $i++)
			
		{	
			
			if($page==$i) $classe='class="current-page active"'; else $classe='';
    		$aff.='<li class="'.$classe.'"><a  href="'.$lien.'?num_page='.$i.'">'.$i.'</a></li>';
		}
		if ($page_fin<$nbre_pages)
		{
			if($page==$i) $classe='class="current-page active"'; else $classe='';
			$aff.='<li class="arrow next"><a href="'.$lien.'?num_page='.$nbre_pages.'"> <span class="icon-right-arrow-1 right"></span><span class="icon-right-arrow-1 right"></span></a></li> ';
		} 
	}
	$aff.=' </ul><div class="pagination no-margin pull-left" style="padding-top:5px;">&nbsp;&nbsp;&nbsp;'.$totalpage.'  '.$nom.'(s)</div> <div class="clearfix"></div>'; 
	return $aff;
}
//=================================================================
// fonctions pour creer la pagination
//=================================================================
function navbar_soap( $page,$nbre_par_page,$total,$lien) { 
  // total
 
	
	$nbre_pages  = ceil($total / $nbre_par_page);
	// si suivant
	if(isset($_GET['suiv']))
	{ 
		//public $classe='';
		$page_active=($_GET['suiv']);
		if(($page_active + 2)<$nbre_pages)
		$page_fin=$page_active +2; else $page_fin=$nbre_pages;
		
		if((($page_active-1)%3)==0) $paged=$page_active;
		if(((($page_active-1)%3)==1)||((($page_active-1)%3)==-1))$paged=$page_active-1;
		if(((($page_active-1)%3)==2)||((($page_active-1)%3)==-2))$paged=$page_active-2;
		$precz=$page_active-1; 
		$aff='<ul class="pagination">';
		
		if ($page>=4)
		{
			$aff.= '<li><a href="'.$lien.'?num_page=1">debut</a> </li><li><a href="'.$lien.'?num_page='.$precz.'&amp;prec=' .$precz.'">prec</a></li>';
		}
		for ($j =$page_active ; $j <= $page_fin; $j++)
		{
			if($page==$j) $classe='class="active"'; else $classe='';	
			$aff.='<li '.$classe.' ><a href="'.$lien.'?num_page=' . $j . '">' .$j. '</a></li>';
		}
		if ($page_fin<$nbre_pages)
		{
			$aff.='<li><a href="'.$lien.'?num_page='.$j.'&amp;suiv='.$j.'">suiv</a></li><li><a href="'.$lien.'?num_page='.$nbre_pages.'">fin</a></li> ';
		}
	}
	// si precedent
	elseif(isset($_GET['prec']))
	{ 
		$pre=($_GET['prec']);
		$pare=$pre-3;
		if(($pre-2)>1) $pagedec=$pre-2; else $pagedec=1;
	
		$aff='<ul class="pagination">';
		if ($pagedec>1)
		{
		$aff.='<li><a href="'.$lien.'?num_page=1">debut</a></li><li><a href="'.$lien.'?num_page=' . $pare .  '&amp;prec='.$pare.'">prec</a></li> ';}
		for ($j =$pagedec ; $j <= $pre; $j++)
		{	if($page==$j) $classe='class="active"'; else $classe='';	
			$aff.='<li '.$classe.' ><a href="'.$lien.'?num_page=' . $j . '">' .$j. '</a></li>';
		}
		if ($pagedec<$nbre_pages)
		{
			$aff.='<li><a href="'.$lien.'?num_page='.$j.'&amp;suiv='.$j.'">suiv</a></li><li><a href="'.$lien.'?num_page='.$nbre_pages.'">fin</a></li>  ';
		}
	}
	else 
	{
		if((($page-1)%3)==0)$pagei=$page;
		if(((($page-1)%3)==1)||((($page-1)%3)==-1))$pagei=$page-1;
		if(((($page-1)%3)==2)||((($page-1)%3)==-2))$pagei=$page-2;$page_fin=3;

		if(($pagei + 2)<$nbre_pages)
			$page_fin=$pagei +2; else $page_fin=$nbre_pages;
		$precde=$pagei-1;
		$aff='<ul class="pagination">';
		if ($page>=4)
		{
			$aff.='<li><a href="'.$lien.'?num_page=1">debut</a></li><li><a  href="'.$lien.'?num_page='.$precde .'&amp;prec='.$precde.'">prec</a></li>';
		}
		for ($i=$pagei ; $i <= $page_fin; $i++)
		{
			if($page==$i) $classe='class="active"'; else $classe='';	
			$aff.='<li '.$classe.' ><a href="'.$lien.'?num_page=' . $i . '">' .$i. '</a></li>';
		}
		if ($page_fin<$nbre_pages)
		{
			$aff.='<li><a href="'.$lien.'?num_page='.$i.'&amp;suiv='.$i.'">suiv</a></li><li><a  href="'.$lien.'?num_page='.$nbre_pages.'">fin</a></li> ';
		} 
	}
	$aff.='</ul> &nbsp;&nbsp;&nbsp; '; 
	return $aff;
}
//=================================================================
// fonctions pour creer la pagination
//=================================================================
function CreationPanier()
{
	if(!isset($_SESSION[KEY]['cart']))
	{
		$_SESSION[KEY]['cart']=array();
		$_SESSION[KEY]['cart']['libelle']=array();
		$_SESSION[KEY]['cart']['prix']=array();
		$_SESSION[KEY]['cart']['prixeuro']=array();
		$_SESSION[KEY]['cart']['qte']=array();
	}
	return true;
}

function AjouterPanier($libelle,$prix,$prixeuro,$qte)
{
	//echo $b;
	if(CreationPanier())
	{
		$positionProduit=array_search($libelle,$_SESSION[KEY]['cart']['libelle']);
		if($positionProduit!==false) 
		{
			$_SESSION[KEY]['cart']['qte'][$positionProduit]+= $qte;
			$_SESSION[KEY]['cart']['prix'][$positionProduit]= $prix;
			$_SESSION[KEY]['cart']['prixeuro'][$positionProduit]= $prixeuro;
		}
		else
		{
			array_push($_SESSION[KEY]['cart']['libelle'], $libelle);
			array_push($_SESSION[KEY]['cart']['prix'], $prix);
			array_push($_SESSION[KEY]['cart']['prixeuro'], $prixeuro);
			array_push($_SESSION[KEY]['cart']['qte'], $qte);
		}
	}
	else
		echo 'Une erreur a ete generee, contacter l\'administrateur du site'; 	
}
function ModifPanier($libelle,$qte)
{
	if(CreationPanier())
	{
		if($qte>0)
		{
			$positionProduit=array_search($libelle,$_SESSION[KEY]['cart']['libelle']);
			if(($positionProduit!=false))
			{
			
				$_SESSION[KEY]['cart']['libelle'][$positionProduit]= $qte;

			}	
		}
		else
		{
			SupprimerPanier($libelle);
		}	
	}
	else
		echo 'Une erreur a ete generee, contacter l\'administrateur du site'; 	
}

function SupprimerPanier($libelle)
{	
	if(CreationPanier())
	{
		$tmp=array();
		$tmp['libelle']=array();
		$tmp['prix']=array();
		$tmp['prixeuro']=array();
		$tmp['qte']=array();
		for($i=0; $i<count($_SESSION[KEY]['cart']['libelle']); $i++)
		{
			if(($_SESSION[KEY]['cart']['libelle'][$i] !=$libelle))
			{
				array_push($tmp['libelle'], $_SESSION[KEY]['cart']['libelle'][$i]);
				array_push($tmp['prix'], $_SESSION[KEY]['cart']['prix'][$i]);
				array_push($tmp['prixeuro'], $_SESSION[KEY]['cart']['prixeuro'][$i]);
				array_push($tmp['qte'], $_SESSION[KEY]['cart']['qte'][$i]);
			}

		}
		$_SESSION[KEY]['cart']=$tmp;
		unset($tmp);
	}
	else
		echo 'Une erreur a ete generee, contacter l\'administrateur du site';  
}
function MontantTotal()
{
	 $total=0;
	 for($i=0; $i<count($_SESSION[KEY]['cart']['libelle']); $i++)
	 {
	 	$total+=$_SESSION[KEY]['cart']['qte'][$i]*$_SESSION[KEY]['cart']['prix'][$i];
	 }
	 return $total;
}
function MontantTotaleuro()
{
	 $total=0;
	 for($i=0; $i<count($_SESSION[KEY]['cart']['libelle']); $i++)
	 {
	 	$total+=$_SESSION[KEY]['cart']['qte'][$i]*$_SESSION[KEY]['cart']['prixeuro'][$i];
	 }
	 return $total;
}
function CountPanier()
{
	if(isset($_SESSION[KEY]['cart']))
	{
		return count($_SESSION[KEY]['cart']['libelle']);
	}	

}
function CountToutPanier()
{
	if(isset($_SESSION[KEY]['cart']))
	{	$val=0;
		$nl=count($_SESSION[KEY]['cart']['libelle']);
		for($i=0; $i<$nl; $i++)
		{
			$val= $val+$_SESSION[KEY]['cart']['qte'][$i];
			
		}
		return $val;
	}	

}
function IsVerouille()
{
	if(isset($_SESSION[KEY]['cart']) && $_SESSION['isverrou'])
		return true;
	else
		return false;

}
function SupprimerToutPanier()
{
	if(isset($_SESSION[KEY]['cart']))
		unset($_SESSION[KEY]['cart']);
}
function suppr_accents($str, $encoding='utf-8')
{
    // transformer les caractères accentués en entités HTML
    $str = htmlentities($str, ENT_NOQUOTES, $encoding);
 
    // remplacer les entités HTML pour avoir juste le premier caractères non accentués
    // Exemple : "&ecute;" => "e", "&Ecute;" => "E", "Ã " => "a" ...
    $str = preg_replace('#&([A-za-z])(?:acute|grave|cedil|circ|orn|ring|slash|th|tilde|uml);#', '\1', $str);
 
    // Remplacer les ligatures tel que : Œ, Æ ...
    // Exemple "Å“" => "oe"
    $str = preg_replace('#&([A-za-z]{2})(?:lig);#', '\1', $str);
    // Supprimer tout le reste
    $str = preg_replace('#&[^;]+;#', '', $str);
	
 
    return $str;
}
// mail attachement
/*$attach[]=array();
		$attach[0][0]=SITE_URL."/fich.pdf";  $attach[0][1]="application/pdf"; $attach[0][2]="formulaire.pdf";
		if(is_uploaded_file($_FILES['fichier1']['tmp_name']))
		$attach[1][0]=$_FILES['fichier2']['tmp_name'];  $attach[1][1]=$_FILES['fichier1']['type']; $attach[1][2]=$_FILES['fichier1']['name']; 
		if(is_uploaded_file($_FILES['fichier2']['tmp_name']))
		$attach[2][0]=$_FILES['fichier2']['tmp_name']; $attach[2][1]=$_FILES['fichier2']['type']; $attach[2][2]=$_FILES['fichier2']['name'];  
	*/	
  			
function mail_att($to , $sujet , $message , $fichier, $from)
 {
    $mail_mime = "MIME-Version: 1.0\n";
    $mail_mime .= "Content-Type: multipart/mixed;\n";
    $mail_mime .= " boundary=\"----=_NextPart\"\n\n";
    $texte = "------=_NextPart\n";
    $texte .= "Content-Type: text/html; charset=\"iso-8859-1\"\n";
    $texte .= "Content-Transfer-Encoding: 32bit\n\n";
    $texte .= $message;
    $texte .= "\n\n";
    $attachement = "------=_NextPart\n";
    for($i=0;$i<3;$i++) 
	{ 
	if ($fichier[$i]!= null) 
	{  
		print_r($fichier[$i]);
	    $attachement .= "Content-Type: ".$fichier[$i][1]."; name=\"".$fichier[$i][0]."\"\n";
	    $attachement .= "Content-Transfer-Encoding: base64\n";
	    $attachement .= "Content-Disposition: attachment; filename=\"".$fichier[$i][2]."\"\n\n";
	    $fp = fopen($fichier[$i], "r");
	    $buff = file_get_contents($fichier[$i][0]);
	    fclose($fp);
	    $attachement .= chunk_split(base64_encode($buff));
	    $attachement .= "\n\n\n------=_NextPart\n";
		}
	}
    $sujet = stripslashes($sujet);
    $from = stripslashes($from);
   
    return mail($to, $sujet, $texte.$attachement, "From: $from\n".$mail_mime);
       }
function mail_attachment($to , $sujet , $message , $fichier)
{	   
	global $config;
	$mail = new PHPMailer();
	// Create a new PHPMailer instance
	$mail->IsSMTP();									// Tell PHPMailer to use SMTP
	$mail->SMTPAuth = true; 
	$mail->CharSet = "utf-8";							// Set CharSet
	$mail->Host = $config['server_smtp'];							// Set the hostname of the mail server
	$mail->Port = $config['port_smtp'];									// Set the SMTP port number - likely to be 25, 465 or 587
	//$mail2->SMTPSecure = "tls";   						// If you use gmail address, active this line
	$mail->Username = $config['sender_smtp'];					// Username to use for SMTP authentication
	$mail->Password = $config['password_smtp'];					// Password to use for SMTP authentication
				
	$mail->setFrom($config['sender_smtp'], $config['config_company']);
	$mail->addAddress($to ,$to );	// Set who the message is to be sent from
					// Set who the message is to be sent to
	$mail->Subject = $sujet.' : ['.$config['config_title'].']';
	$mail->addAttachment($fichier);
	$mail->msgHTML($message);
		
	$mail->smtpConnect([
		'ssl' => [
					'verify_peer' => false,
					'verify_peer_name' => false,
					'allow_self_signed' => true
				]
			]);
	$mail->send();
	
	
/*	if($mail->send())
		echo 'envoye';
	else
		echo $mail->ErrorInfo;*/
 }
?>