<?php  
/**
 * KDOcms
 *
 * An open source application development framework for PHP 5.1.6 or newer
 *
 * @package		KDOcms
 * @author		KDO Labcenter
 * @copyright	Copyright (c) 2011 - 2015, KDO Labcenter, Ets.
 * @license		http://kdoweb.net
 * @link		http://kdoweb.net
 * @since		Version 1.0
 * @filesource
 */

/**
 * Site URL
 *
 * Create a local URL based on your basepath. Segments can be passed via the
 * first parameter either as a string or an array.
 *
 * @access	public
 * @param	string
 * @return	string
 */
if ( ! function_exists('site_url'))
{
	function site_url($uri = '')
	{
		return $uri;
	}
}

// ------------------------------------------------------------------------

/**
 * Base URL
 * 
 * Create a local URL based on your basepath.
 * Segments can be passed in as a string or an array, same as site_url
 * or a URL to a file can be passed in, e.g. to an image file.
 *
 * @access	public
 * @param string
 * @return	string
 */
if ( ! function_exists('base_url'))
{
	function base_url($uri = BASE_URL)
	{
		return $uri.'/';
	}
}


/* End of file url.php */