<style>
ul{
  margin:0;
  padding:0;
  list-style-type:none;
}

.nav{
  display:flex;
  position:relative;
}
.nav a{
  display:block;
  text-decoration:none;
}
.nav > li > a{
  padding:4px 10px;
}
.nav > li{
  position:relative;
}
.nav > li > ul{

  background:rgba(0,0,0,0.1);
  position:absolute;
  top:100%;
  left:0;
  opacity:0;
  visibility: hidden;
  transform: translateY(20px);
  transition:all 300ms ease-in-out 500ms; 
  transition:all 300ms ease-in-out;
  z-index: 9999;
}

.nav > li > ul > li > a{
  padding:4px 10px;
}
.nav > li > ul > li > a:hover{
  background-color:rgba(0,0,0,1);
}
.nav > li:hover > ul{

  opacity:1;
  visibility: visible;
  transform: translateY(0px);
  transition:all 300ms ease-in-out;
}
.nav > li > a:hover{
  background-color:rgba(0,0,0,.1);
}
.nav .big-nav{
  position:static;
}
.nav .big-nav > ul{
  min-height:400px;
  position:absolute;
  top:100%;
  left:0;
  width:100%;
  background:rgba(0,0,0,0.1);
}
.nav .big-nav > ul > li{
  width:25%;
 
}
.nav .big-nav > ul > li > a{
  padding:10px;
  background:rgba(255,100,0,1);
  display:block;
  
}
.nav .big-nav > ul > li > ul{
  display:none;
  position:absolute;
  top:0;
  left:25%;
  width:75%;
  background:rgba(100,255,0,1);
}

.nav .big-nav > ul > li.show > ul{
  display:block;
}

.nav .big-nav > ul > li > ul > li{
  display:block;
  width:100%;
  float:left;
}
.nav .big-nav > ul > li > ul > li.col3{
  width:33.3334%;
  padding:0 10px;
}
.nav .big-nav > ul > li > ul > li > a{
  font-weight:bold;
  border-bottom:1px solid #333;
}
.nav .big-nav > ul > li > ul > li a{
  padding:4px 10px;
}
</style>  <div class="inner">
      <ul class="nav">
        <li><a href="#">Home</a></li>
        <li><a href="#">About</a></li>
        <li><a href="#">Service</a>
          <ul>
            <li><a href="#">Marketing</a></li>
            <li><a href="#">Webdesign</a></li>
            <li><a href="#">Sales</a></li>
          </ul>
        </li>
        <li class="big-nav"><a href="#">Products</a>
          <ul>
            <li class="show"><a href="#">Category 1</a>
              <ul>
                <li class="col3"><a href="#">Sub Category 1.1</a>
                  <ul>
                    <li><a href="#">Product 1</a></li>
                    <li><a href="#">Product 2</a></li>
                    <li><a href="#">Product 3</a></li>
                  </ul>
                </li>
                <li class="col3"><a href="#">Sub Category 1.2</a>
                  <ul>
                    <li><a href="#">Product 4</a></li>
                    <li><a href="#">Product 5</a></li>
                    <li><a href="#">Product 6</a></li>
                  </ul>
                </li>
                <li class="col3"><a href="#">Sub Category 1.3</a>
                  <ul>
                    <li><a href="#">Product 7</a></li>
                    <li><a href="#">Product 8</a></li>
                    <li><a href="#">Product 9</a></li>
                    <li><a href="#">Product 10</a></li>
                    <li><a href="#">Product 11</a></li>
                    <li><a href="#">Product 12</a></li>
                    <li><a href="#">Product 13</a></li>
                  </ul>
                </li>
              </ul>
            </li>
            <li><a href="#">Category 2</a>
              <ul>
                <li class="col3"><a href="#">Sub Category 2.1</a>
                  <ul>
                    <li><a href="#">Product 1</a></li>
                    <li><a href="#">Product 2</a></li>
                    <li><a href="#">Product 3</a></li>
                  </ul>
                </li>
                <li class="col3"><a href="#">Sub Category 2.2</a>
                  <ul>
                    <li><a href="#">Product 4</a></li>
                    <li><a href="#">Product 5</a></li>
                    <li><a href="#">Product 6</a></li>
                  </ul>
                </li>
                <li class="col3"><a href="#">Sub Category 2.3</a>
                  <ul>
                    <li><a href="#">Product 7</a></li>
                    <li><a href="#">Product 8</a></li>
                    <li><a href="#">Product 9</a></li>
                    <li><a href="#">Product 10</a></li>
                    <li><a href="#">Product 11</a></li>
                    <li><a href="#">Product 12</a></li>
                  </ul>
                </li>
              </ul>
            </li>
            <li><a href="#">Category 3</a>
              <ul>
                <li class="col3"><a href="#">Sub Category 3.1</a>
                  <ul>
                    <li><a href="#">Product 1</a></li>
                    <li><a href="#">Product 2</a></li>
                    <li><a href="#">Product 3</a></li>
                  </ul>
                </li>
                <li class="col3"><a href="#">Sub Category 3.2</a>
                  <ul>
                    <li><a href="#">Product 4</a></li>
                    <li><a href="#">Product 5</a></li>
                    <li><a href="#">Product 6</a></li>
                  </ul>
                </li>
                <li class="col3"><a href="#">Sub Category 3.3</a>
                  <ul>
                    <li><a href="#">Product 7</a></li>
                    <li><a href="#">Product 8</a></li>
                    <li><a href="#">Product 9</a></li>
                    <li><a href="#">Product 10</a></li>
                    <li><a href="#">Product 11</a></li>
                    <li><a href="#">Product 12</a></li>
                    <li><a href="#">Product 13</a></li>
                    <li><a href="#">Product 14</a></li>
                  </ul>
                </li>
              </ul>
            </li>
            <li><a href="#">Category 4</a></li>
          </ul>
        </li>
        <li><a href="#">Contact</a></li>
      </ul>
    </div>
    <script src='https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.min.js'></script>
    <script>
   jQuery(function($) {
  // Add en remove class on menu item hover  
  $('.big-nav > ul > li').mouseover(function(){
    $(this).addClass('show').siblings().removeClass('show');
  });
  
  // Get the minimum height the big-nav elemtn
  var min_height = 50;
  $('.big-nav > ul > li > ul').each(function(){
    var this_height = $(this).outerHeight();
    if (this_height > min_height) min_height = this_height;
  });
  $('.big-nav > ul, .nav .big-nav > ul > li > ul').css('min-height', min_height + 'px');
  
});
    </script>