<?php   require_once('head_langue.php'); ?>
<?php   require_once('views/breadcumbs.php'); ?>
<div class="row-fluid">
  <div class="span12">
    <div class="portlet box green">
      <div class="portlet-title">
        <div class="caption"><i class="icon-reorder"></i><?php echo $lang['List_of_language']; ?></div>
        <div class="tools">
          <a href="#responsive" data-toggle="modal" style="margin-top:-12px; padding:5px 5px 5px 5px;" class="btn white"><?php echo $lang['Add_new_language']; ?><i class="icon-plus"></i></a>
        </div>
      </div>
      <div class="portlet-body form">
        <?php 
            if(isset($_POST['ajouterLangue'])) inserer_langue();  
        ?>
        <div id="ErrorMessage" class="alert alert-error" style="display:none">
                  <button class="close" data-dismiss="alert"></button>
      
        </div>
        <div style="padding:5px 20px;" > 
          <a href="javascript:Cocher_Decocher('cocher');" class="action_a"><?php echo $lang['Select_all']; ?></a> - 
          <a href="javascript:Cocher_Decocher('decocher');" ><?php echo $lang['Unselect_all']; ?></a> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
          <a class="action_a" href="javascript:Activer_Groupe('1');" data-original-title="Active"><i class="ieye-close"></i><?php echo $lang['Active_all']; ?></a>&nbsp;&nbsp;&nbsp;&nbsp;
          <a class="action_a" href="javascript:Activer_Groupe('0');" data-original-title="Active"><i class="ieye-close"></i><?php echo $lang['Deactive_all']; ?></a>&nbsp;&nbsp;&nbsp;&nbsp;
          <a class="action_a" href="javascript:Supprimer_Groupe();" data-original-title="Delete"><i class="icon-trash"></i> <?php echo $lang['Delete_all']; ?></a>
        </div>
        <div id="liste" style="margin-top:20px;">
            <?php include 'liste_langue.php'; ?>
            <div class="clearfix"></div>
        </div>
      </div>
    </div>
  </div>
</div>
<!-- modal pour le formulaire -->
<div <?php if(isset($_GET['id'])) echo 'id="responsive" class="modal show" tabindex="-1" data-width="560" '; else echo 'id="responsive" class="modal hide fade" tabindex="-1" data-width="560"'; ?>>
  <?php 
  if(isset($_GET['id']))
  {
    $langue =new entity('langue');  
    $current= $langue->getRecord($_GET['id']);
  } 
  ?>
  <div class="modal-header">
      <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
      <h4><?php if(isset($_GET['id'])) echo $lang['Update_form']; else echo $lang['Add_form']; ?> </h4>
  </div>
  <div id="spanMessage" class="alert alert-error" style="display:none">
                  <button class="close" data-dismiss="alert"></button>
      
 </div>
  <form class="form-horizontal no-margin" id="langueForm" method="post" action="<?php if(isset($_GET['id'])) echo  $lien_langue.'?action=yes'; else echo  $lien_langue; ?>" enctype="multipart/form-data">
    <div class="modal-body">
      <div class="control-group">
        <label class="control-label"><?php echo $lang['Title_name']; ?></label>
        <div class="controls controls-row">
          <input type="text" name="titreLangue" id="titreLangue"  Value="<?php if(isset($_GET['id'])) echo decode($current->titreLangue); else echo ""; ?>" placeholder="<?php echo $lang['Title_name']; ?>">
        </div>
      </div>
      <div class="control-group">
        <label class="control-label" for="img_langue">
          <?php echo $lang['File']; ?>
        </label>
        <div class="controls">
          <input type="file" name="fileLangue" id="fileLangue"  />
        </div>
      </div>
      <div class="control-group" id="sigle" >
        <label class="control-label" for="sigle">
          <?php echo $lang['Sigle']; ?>
        </label>
        <div class="controls">
          <input type="text" name="sigleLangue" id="sigleLangue" max-length="2"  Value="<?php if(isset($_GET['id'])) echo $current->sigleLangue; else echo ""; ?>"   />
        </div>
      </div>
      <div class="control-group" id="img" >
        <label class="control-label" for="flag_langue">
          <?php echo $lang['Image']; ?>
        </label>
        <div class="controls">
          <input type="file" name="flagLangue" id="flagLangue" class="span4"   />
        </div>
      </div>
      <div class="control-group">
        <div class="controls">
          <label class="checkbox">
            <input type="checkbox" value="1" name="defautLangue" <?php if((isset($_GET['id']))&& ($current->defautLangue=="1")) echo 'checked="checked"'; ?>>
            <?php echo $lang['Default']; ?> <em>(<?php echo $lang['Intro_default']; ?>)</em>
          </label>
        </div>
      </div>
					<!-- affichage de langue defaut -->
      <?php    
      if (DefautLangue()!=null)
      {
        echo DefautLangue();
        ?>
        <div class="alert alert-block alert-warning fade in">
          <h4 class="alert-heading"> <?php echo $lang['Warning!']; ?> </h4>
          <p> <?php echo $lang['The_language']; ?> <strong><?php echo Valeur_champs(DefautLangue(),'titreLangue','langue'); ?></strong> <?php echo $lang['warning_default_text']; ?></p>
        </div>
        <div class="clearfix"></div>
        <?php 
      } 
      else 
      { 
        ?>
        <div class="alert alert-block alert-info fade in">
          <h4 class="alert-heading"> <?php echo $lang['INFO']; ?> </h4>
          <p> <?php echo $lang['First_entry_default_text']; ?></p>
        </div>
        <div class="clearfix"></div>
        <?php 
      } 
      ?>
    </div>
    <div class="modal-footer">
      <a href="<?php echo $lien_langue; ?>" class="btn" data-dismiss="modal" type="" aria-hidden="true">
        <?php echo $lang['Close']; ?>
      </a>
      <button class="btn btn-primary" type="button" onClick="<?php if(isset($_GET['id'])) echo 'javascript:modifierLangue();';  else echo 'javascript:validerLangue();'; ?>">
        <?php if(isset($_GET['id'])) echo $lang['Update']; else echo $lang['Add'];; ?>
      </button>
    </div>
    <input type="hidden" name="idLangue" value="<?php if(isset($_GET['id'])) echo $_GET['id']; else echo '0'; ?>"   />
    <input type="hidden" name="etatLangue" value="<?php if(isset($_GET['id'])) echo $current->etatLangue; else echo '0'; ?>"   />
    <input type="hidden" name="ajouterLangue"  /> 
  </form>
</div>
                            
<?php   require_once('footer_langue.php'); ?>
