<?php 

// ==============================================================
//===================   classe MySQL ============================
//===============================================================
class MySQL
{
	//les proprits(en accs priv deprfrence)
	private $connexion, $nomBase;

	// Constructeur de la classe
	//public function __construct ($login='masercam_ad' , $motDePasse='XBD!@0pwd' , $base='masercam_db' , $serveur='localhost' )
	public function __construct ($login=LOGIN_DB , $motDePasse=MDP_DB , $base=BASE_DB , $serveur=SERVER_DB )
	{
		// On conserve le nom de la base
		
		// Connexion au serveur MySQL
		//
		//if (! $this -> connexion =new mysqli($serveur, $login, $motDePasse, $base))
		if (! $this -> connexion =new PDO("mysql:host=$serveur;dbname=$base", $login, $motDePasse))
			throw new Exception ( " Erreur de connexion au serveur . " ) ;
		// Connexion  la base
		//if (!mysqli_select_db ($base  , $this->connexion) )
		//	throw new Exception ( " Erreur de connexion  la base . " ) ;
	}
	// Fin du constructeur
	// ---- Partie publique -------------------------
	// Mthode d  excution d une requte
	public function execRequete($requete)
	{
		$resultat = mysqli_query($this -> connexion,$requete) ;
		if (!$resultat )
			throw new Exception	("Problme dans l  excution de la requte : $requete . ". mysqli_error ($this -> connexion));
			return $resultat ;
	}
	// requete sans resultat
	public function complete($requete)
	{
		mysqli_query( $this -> connexion,$requete) ;
	}
	// Accs  la l igne suivante , sous forme d  objet
	public function objetSuivant ( $resultat )
	{ 
		return mysqli_fetch_object ( $resultat ) ;
	}
	 // Accs  la l igne suivante , sous forme d  objet
	public function assocSuivant ( $resultat )
	{ 
		return mysqli_fetch_assoc ( $resultat ) ;
	}
	// Accs  la l igne suivante , sous forme de tableau associatif
	public function ligneSuivante ( $resultat )
	{
		return mysqli_fetch_array ($resultat ); 
	}
	// Accs  la l igne suivante , sous forme de tableau indic
	public function nbreLigne ( $resultat )
	{
		return mysqli_num_rows ($resultat ); 
	}
	// chappement des apostr ophes et autres prparations  l  insertion
	public function prepareChaine ($chaine)
	{
	 return mysqli_real_escape_string($this -> connexion,$chaine) ;
	}
	// Erreur
	function error() 
	{
		$ERROR=mysqli_error($this -> connexion);
		return $ERROR;
	}
	// Destructeur de la classe : on se dconnecte
	function __destruct ()
	{
	 	mysqli_close ($this -> connexion) ; 
	}

}
 